[versions]
desugar_jdk_libs = "2.0.3"
robolectric = "4.10.3"
android-plugin-gradle = "7.4.2"
kotlin-plugin-gradle = "1.6.21"
detekt = "1.18.1"
plugin-versions = "0.42.0"
junit = "4.13.2"
jacoco-core = "0.8.7"
jacoco-test-aggregation-coverage = "2.0.1"
json-kotlin-gradle = "0.91"
dots-indicator = "4.2"
material = "1.3.0"
okio = "3.0.0-alpha.6"
timber = "4.7.1"
speed-dial = "3.3.0"
firebase-bom = "28.3.0"
firebase-crashlytics-gradle = "2.7.1"
firebase-crashlytics-ktx = "18.2.1"
gms-google-services = "4.3.8"
gms-oss-licenses-plugin = "0.10.4"
gms-play-services-oss-licenses = "17.0.0"
androidx-activity-ktx = "1.2.3"
androidx-appcompat = "1.6.1"
androidx-arch-core-testing = "2.1.0"
androidx-core-ktx = "1.8.0"
androidx-constraintlayout = "2.0.4"
androidx-fragment-ktx = "1.3.4"
androidx-preference-ktx = "1.1.1"
androidx-test-core = "1.4.0"
androidx-viewpager2 = "1.0.0"
androidx-datastore = "1.0.0-beta01"
androidx-hilt = "1.0.0"
androidx-lifecycle = "2.3.1"
androidx-navigation = "2.3.5"
androidx-test-espresso-core = "3.3.0"
androidx-test-ext-junit = "1.1.2"
androidx-work = "2.8.0"
commons-validator = "1.7"
hilt = "2.39.1"
kotlin = "1.5.31"
kotlinx-coroutines = "1.6.0"
kotlinx-datetime = "0.2.1"
kotlinx-serialization = "1.3.1" # compatible with Kotlin 1.5.31
dialogs = "3.3.0"
okhttp3 = "4.9.1"
gildor-coroutines-okhttp = "1.0"
protobuf-gradle-plugin = "0.9.4"
protobuf = "4.27.2"
installreferrer = "2.2"
mockito = "4.0.0"
xz = "1.9"

[libraries]
desugar_jdk_libs = { module = "com.android.tools:desugar_jdk_libs", version.ref = "desugar_jdk_libs" }
robolectric = { module = "org.robolectric:robolectric", version.ref = "robolectric" }
android-plugin-gradle = { module = "com.android.tools.build:gradle", version.ref = "android-plugin-gradle" }
kotlin-plugin-gradle = {module = "org.jetbrains.kotlin:kotlin-gradle-plugin", version.ref = "kotlin-plugin-gradle" }
plugin-versions = { module = "com.github.ben-manes:gradle-versions-plugin", version.ref = "plugin-versions" }
junit = { module = "junit:junit", version.ref = "junit" }
jacoco-core = { module = "org.jacoco:org.jacoco.core", version.ref = "jacoco-core" }
json-kotlin-gradle= { module = "net.pwall.json:json-kotlin-gradle", version.ref = "json-kotlin-gradle" }
dots-indicator = { module = "com.tbuonomo:dotsindicator", version.ref = "dots-indicator" }
material = { module = "com.google.android.material:material", version.ref = "material" }
okio = { module = "com.squareup.okio:okio", version.ref = "okio" }
timber = { module = "com.jakewharton.timber:timber", version.ref = "timber" }
speed-dial = { module = "com.leinardi.android:speed-dial", version.ref = "speed-dial" }
firebase-bom = { module = "com.google.firebase:firebase-bom", version.ref = "firebase-bom" }
firebase-analytics = { module = "com.google.firebase:firebase-analytics-ktx" }
firebase-crashlytics-gradle = { module = "com.google.firebase:firebase-crashlytics-gradle", version.ref = "firebase-crashlytics-gradle" }
firebase-crashlytics-ktx = { module = "com.google.firebase:firebase-crashlytics-ktx", version.ref = "firebase-crashlytics-ktx" }
gms-google-services = { module = "com.google.gms:google-services", version.ref = "gms-google-services" }
gms-oss-licenses-plugin = { module = "com.google.android.gms:oss-licenses-plugin", version.ref = "gms-oss-licenses-plugin" }
gms-play-services-oss-licenses = { module = "com.google.android.gms:play-services-oss-licenses", version.ref = "gms-play-services-oss-licenses" }
androidx-activity-ktx = { module = "androidx.activity:activity-ktx", version.ref = "androidx-activity-ktx" }
androidx-appcompat = { module = "androidx.appcompat:appcompat", version.ref = "androidx-appcompat" }
androidx-arch-core-testing = { module = "androidx.arch.core:core-testing", version.ref = "androidx-arch-core-testing" }
androidx-core-ktx = { module = "androidx.core:core-ktx", version.ref = "androidx-core-ktx" }
androidx-constraintlayout = { module = "androidx.constraintlayout:constraintlayout", version.ref = "androidx-constraintlayout" }
androidx-fragment-ktx = { module = "androidx.fragment:fragment-ktx", version.ref = "androidx-fragment-ktx" }
androidx-preference-ktx = { module = "androidx.preference:preference-ktx", version.ref = "androidx-preference-ktx" }
androidx-test-core = { module = "androidx.test:core", version.ref = "androidx-test-core" }
androidx-viewpager2 = { module = "androidx.viewpager2:viewpager2", version.ref = "androidx-viewpager2" }
androidx-datastore = { module = "androidx.datastore:datastore", version.ref = "androidx-datastore" }
androidx-datastore-preferences = { module = "androidx.datastore:datastore-preferences", version.ref = "androidx-datastore" }
androidx-hilt-compiler = { module = "androidx.hilt:hilt-compiler", version.ref = "androidx-hilt" }
androidx-hilt-common = { module = "androidx.hilt:hilt-common", version.ref = "androidx-hilt" }
androidx-hilt-work = { module = "androidx.hilt:hilt-work", version.ref = "androidx-hilt" }
androidx-lifecycle-livedata = { module = "androidx.lifecycle:lifecycle-livedata-ktx", version.ref = "androidx-lifecycle" }
androidx-lifecycle-viewmodel = { module = "androidx.lifecycle:lifecycle-viewmodel-ktx", version.ref = "androidx-lifecycle" }
androidx-lifecycle-runtime-testing = { module = "androidx.lifecycle:lifecycle-runtime-testing", version.ref = "androidx-lifecycle" }
androidx-navigation-fragment = { module = "androidx.navigation:navigation-fragment-ktx", version.ref = "androidx-navigation" }
androidx-navigation-safeargs-plugin = { module = "androidx.navigation:navigation-safe-args-gradle-plugin", version.ref = "androidx-navigation" }
androidx-navigation-ui = { module = "androidx.navigation:navigation-ui-ktx", version.ref = "androidx-navigation" }
androidx-test-espresso-core = { module = "androidx.test.espresso:espresso-core", version.ref = "androidx-test-espresso-core" }
androidx-test-ext-junit = { module = "androidx.test.ext:junit", version.ref = "androidx-test-ext-junit" }
androidx-work-runtime = { module = "androidx.work:work-runtime-ktx", version.ref = "androidx-work" }
androidx-work-testing = { module = "androidx.work:work-testing", version.ref = "androidx-work" }
commons-validator = { module = "commons-validator:commons-validator", version.ref = "commons-validator" }
hilt = { module = "com.google.dagger:hilt-android", version.ref = "hilt" }
hilt-compiler = { module = "com.google.dagger:hilt-android-compiler", version.ref = "hilt" }
hilt-gradle-plugin = { module = "com.google.dagger:hilt-android-gradle-plugin", version.ref = "hilt" }
hilt-testing = { module = "com.google.dagger:hilt-android-testing", version.ref = "hilt" }
kotlin-gradle-plugin = { module = "org.jetbrains.kotlin:kotlin-gradle-plugin", version.ref = "kotlin" }
kotlin-stdlib = { module = "org.jetbrains.kotlin:kotlin-stdlib", version.ref = "kotlin" }
kotlinx-datetime = { module = "org.jetbrains.kotlinx:kotlinx-datetime", version.ref = "kotlinx-datetime" }
kotlinx-coroutines-core = { module = "org.jetbrains.kotlinx:kotlinx-coroutines-core", version.ref = "kotlinx-coroutines" }
kotlinx-coroutines-android = { module = "org.jetbrains.kotlinx:kotlinx-coroutines-android", version.ref = "kotlinx-coroutines" }
kotlinx-coroutines-test = { module = "org.jetbrains.kotlinx:kotlinx-coroutines-test", version.ref = "kotlinx-coroutines" }
kotlinx-serialization-json = { module = "org.jetbrains.kotlinx:kotlinx-serialization-json", version.ref = "kotlinx-serialization" }
dialogs-core = { module = "com.afollestad.material-dialogs:core", version.ref = "dialogs" }
dialogs-input = { module = "com.afollestad.material-dialogs:input", version.ref = "dialogs" }
protobuf-gradle-plugin = { module = "com.google.protobuf:protobuf-gradle-plugin", version.ref = "protobuf-gradle-plugin" }
protobuf-javalite = { module = "com.google.protobuf:protobuf-javalite", version.ref = "protobuf" }
protobuf-protoc = { module = "com.google.protobuf:protoc", version.ref = "protobuf" }
installreferrer = { module = "com.android.installreferrer:installreferrer", version.ref = "installreferrer" }
okhttp3 = { module = "com.squareup.okhttp3:okhttp", version.ref = "okhttp3" }
okhttp3-logging-interceptor = { module = "com.squareup.okhttp3:logging-interceptor", version.ref = "okhttp3" }
okhttp3-mockwebserver = { module = "com.squareup.okhttp3:mockwebserver", version.ref = "okhttp3" }
gildor-coroutines-okhttp = { module = "ru.gildor.coroutines:kotlin-coroutines-okhttp", version.ref = "gildor-coroutines-okhttp" }
mockito-core = { module = "org.mockito:mockito-core", version.ref = "mockito" }
mockito-kotlin = { module = "org.mockito.kotlin:mockito-kotlin", version.ref = "mockito" }
xz = { module = "org.tukaani:xz", version.ref = "xz" }

[plugins]
detekt = { id = "io.gitlab.arturbosch.detekt", version.ref = "detekt" }
plugin-versions = { id = "com.github.ben-manes.versions", version.ref = "plugin-versions" }
kotlinx-plugin-serialization = { id = "org.jetbrains.kotlin.plugin.serialization", version.ref = "kotlin" }
jacoco-test-aggregation-coverage = { id = "io.github.gmazzo.test.aggregation.coverage", version.ref = "jacoco-test-aggregation-coverage" }
